import { Component, OnInit } from '@angular/core';
import { CommonService } from '../../hmg-common/services/common/common.service';
import { TranslatorService } from '../../hmg-common/services/translator/translator.service';
import { SharedDataService } from '../../hmg-common/services/shared-data-service/shared-data.service';
import { GetSubordinatesAttdStatusRequest } from 'src/app/hmg-common/services/dashbored/models/GetSubordinatesAttdStatusRequest';
import { DashboredService } from 'src/app/hmg-common/services/dashbored/dashbored.service';
import { GetSubordinatesAttdStatusResponse } from 'src/app/hmg-common/services/dashbored/models/GetSubordinatesAttdStatusResponse';


@Component({
  selector: 'app-monthly-attendance',
  templateUrl: './monthly-attendance.component.html',
  styleUrls: ['./monthly-attendance.component.scss'],
})
export class MonthlyAttendanceComponent implements OnInit {

  constructor(
    private cs: CommonService,
    public ts: TranslatorService,
    public sharedData: SharedDataService,
    public DS: DashboredService) { }
  gaugeType = 'full';
  gaugeValue = 28.3;
  gaugeLabel = 'Days';
  // gaugeAppendText = "km/hr";


  currentMonth: any;
  todayYear: any;
  todayMonth: any;
  public options = {

    cutoutPercentage: 80,

    tooltips: { enabled: false },

    legend: { display: false }

  };



public data = {

    datasets: [

      {

        data: [120, 50],

        backgroundColor: [

          '#269DB8',

          '#269DB8',
        ],

        borderWidth: 2

      }]

  };
  ngOnInit() { }

  ionViewWillEnter() {
    this.currentMonth = this.sharedData.getSharedData("currentMonth");
    console.log(this.currentMonth);
    let day  = this.currentMonth.split(" ");
    this.todayMonth =day[0];
    this.todayYear = day[1];
    this.todayYear = parseInt(this.todayYear);
    console.log("MONTH: " +this.todayMonth);
    console.log("YEAR: " +this.todayYear);
    this.getSubordinatesAttStatus()
  }


  getSubordinatesAttStatus() {
    let request: GetSubordinatesAttdStatusRequest = new GetSubordinatesAttdStatusRequest();
    // request.P_SCHEDULE_DATE_FROM = "/Date(1578603600000+0300)/"; //test
    // request.P_SCHEDULE_DATE_TO = "/Date(1576011600000+0300)/";//test
    console.log(this.currentMonth);
    request.SearchMonth = this.todayMonth;
    request.SearchYear = 2019//this.todayYear;

    this.DS.getSubordinatesAttStatus(request, () => { console.log("Error "); }).subscribe((result: GetSubordinatesAttdStatusResponse) => {
      if (this.cs.validResponse(result)) {
        console.log("response");
        console.log(result);
      }
    });

  }

  x(){
    console.log("ENAD CHANge")
  }



}
